---

#! /zdci/db/releases/20250607085012/lkp-src/jobs/perf-sanity-tests.yaml
suite: perf-sanity-tests
testcase: perf-sanity-tests
category: functional
need_memory: 2G
perf-sanity-tests:
  perf_compiler: clang
  group: group-02
timeout: 2h
job_origin: perf-sanity-tests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-kbl-d01
tbox_group: lkp-kbl-d01
job_file: "/lkp/jobs/scheduled/lkp-kbl-d01/perf-sanity-tests-group-02-clang-debian-12-x86_64-20240206.cgz-609a86901e6f-20250612-32787-m9i2ix-0.yaml"
id: 0f26927dd6ec5a39e540e3ee5c9169236e9ab9fd
queuer_version: "/zday/lkp"

#! /zdci/db/releases/20250607085012/lkp-src/hosts/lkp-kbl-d01
model: Kaby Lake
nr_node: 1
nr_cpu: 8
memory: 32G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM003-1CH162_Z1D3X32H-part*"
ssd_partitions: "/dev/disk/by-id/ata-CT1000BX500SSD1_2203E5FF08F0-part1"
rootfs_partition: "/dev/disk/by-id/ata-CT1000BX500SSD1_2203E5FF08F0-part2"
brand: Intel(R) Core(TM) i7-7700 CPU @ 3.60GHz
ucode: '0xf8'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- SATA_AHCI

#! /zdci/db/releases/20250607085012/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20250607085012/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20250607085012/lkp-src/programs/perf-sanity-tests/include
initrds:
- linux_perf

#! /zdci/db/releases/20250607085012/lkp-src/include/queue/cyclic
commit: 609a86901e6fd886f1139aed8f8c66d982f2afed
kconfig: x86_64-rhel-9.4-bpf
enqueue_time: 2025-06-12 14:51:03.624614627 +08:00
_rt: "/result/perf-sanity-tests/group-02-clang/lkp-kbl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/609a86901e6fd886f1139aed8f8c66d982f2afed"
compiler: gcc-12
head_commit: ab4e57f2d7a7cb9b1e254b0e36a7c10b217b5923
base_commit: 0ff41df1cb268fc69e703a08a57ee14ae967d0ca
branch: linux-devel/devel-hourly-20250606-041705
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250610-180201"
arch: x86_64
max_uptime: 7200
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/perf-sanity-tests/group-02-clang/lkp-kbl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/609a86901e6fd886f1139aed8f8c66d982f2afed/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/609a86901e6fd886f1139aed8f8c66d982f2afed/vmlinuz-6.15.0-rc7-00193-g609a86901e6f
- branch=linux-devel/devel-hourly-20250606-041705
- job=/lkp/jobs/scheduled/lkp-kbl-d01/perf-sanity-tests-group-02-clang-debian-12-x86_64-20240206.cgz-609a86901e6f-20250612-32787-m9i2ix-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-bpf
- commit=609a86901e6fd886f1139aed8f8c66d982f2afed
- intremap=posted_msi
- max_uptime=7200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/609a86901e6fd886f1139aed8f8c66d982f2afed/modules.cgz"
linux_perf_initrd: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/609a86901e6fd886f1139aed8f8c66d982f2afed/linux-perf.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250607085012/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-kbl-d01/perf-sanity-tests-group-02-clang-debian-12-x86_64-20240206.cgz-609a86901e6f-20250612-32787-m9i2ix-0.cgz"
last_kernel: 6.15.0-rc2-00147-gf7458176a74f
acpi_rsdp: '0x000f05b0'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-bpf/gcc-12/609a86901e6fd886f1139aed8f8c66d982f2afed/vmlinuz-6.15.0-rc7-00193-g609a86901e6f"
result_root: "/result/perf-sanity-tests/group-02-clang/lkp-kbl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-bpf/gcc-12/609a86901e6fd886f1139aed8f8c66d982f2afed/0"
user: lkp
dequeue_time: 2025-06-12 16:21:36.479327423 +08:00
job_state: finished
loadavg: 1.24 1.70 1.46 2/172 18113
start_time: '1749716962'
end_time: '1749717962'
version: "/lkp/lkp/.src-20250610-180201:6828f53e335e:aa19b7a19769"
